Skip to main content

A player performance prediction comparison report for a given event.

GET 

/basketball/v2/reports/players/:uuid/events/:event_uuid/comparisons

Information in the report is available from additional APIs however it is summarized here for quick and easy post-game access.

The comparisons contains a json object listing each predicted prop along with the actual result from the box score and in some cases the average market over/under when available.

Here's an example of the comparisons in the response attributes:

"comparisons": {
"minutesPlayed": {
"actual": 23.766666666667,
"predicted": 27.2511
},
"fieldGoalsMade": {
"actual": 1,
"predicted": 6.64627
},
"fieldGoalsAttempted": {
"actual": 7,
"predicted": 13.8073
},
"freeThrowsMade": {
"actual": 0,
"predicted": 2.63536
},
"freeThrowsAttempted": {
"actual": 0,
"predicted": 3.39286
},
"threePointFieldGoalsMade": {
"actual": 1,
"predicted": 2.6939,
"marketAvgOver": "1.72",
"marketAvgUnder": "2.10"
},
"threePointFieldGoalsAttempted": {
"actual": 7,
"predicted": 7.51793
},
"points": {
"actual": 3,
"predicted": 18.6218,
"marketAvgOver": "1.88",
"marketAvgUnder": "1.91"
},
"reboundsOffensive": {
"actual": 1,
"predicted": 1.15157
},
"reboundsDefensive": {
"actual": 2,
"predicted": 5.31435
},
"reboundsTotal": {
"actual": 3,
"predicted": 6.46592,
"marketAvgOver": "1.86",
"marketAvgUnder": "1.89"
},
"assists": {
"actual": 2,
"predicted": 4.19905,
"marketAvgOver": "1.63",
"marketAvgUnder": "2.25"
},
"steals": {
"actual": 0,
"predicted": 0.817562,
"marketAvgOver": "1.45",
"marketAvgUnder": "2.70"
},
"blockedShots": {
"actual": 0,
"predicted": 0.433944,
"marketAvgOver": "3.58",
"marketAvgUnder": "1.35"
},
"turnovers": {
"actual": 3,
"predicted": 2.18478,
"marketAvgOver": "2.25",
"marketAvgUnder": "1.62"
},
"personalFouls": {
"actual": 2,
"predicted": 1.87434
}
}


NOTE: Event results are not considered final until they are validated. Box scores should be accurate within 30 mins of the end of the game.

Request​

Path Parameters

    uuid anyrequired

    Player resource UUID

    event_uuid anyrequired

    Event resource UUID

Query Parameters

    page integer

    Default value: 1

    The collection page number

    count integer

    Default value: 30

    The number of items per page

    properties[] string[]

Responses​

PlayerComparison collection

Loading...